﻿body {
    overflow: hidden;
}

.classic {
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding-top: 120px;
    background-image: url("../img/classic.jpg");
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
}

.classic-info-panel {
    background: linear-gradient(to top left, #092c4f, #300a5e);
    border-radius: 20px;
    box-shadow: 0px 5px 8px rgb(0, 0, 0);
    height: auto;
    width: 25%;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.classic-info-title {
    font-size: 32px;
    font-weight: bold;
    color: white;
    margin-bottom: 0;
}

.classic-info-desc {
    font-size: 16px;
    color: white;
    opacity: .6;
    margin-top: 0;
}

.classic-char-info {
    height: 120px;
    width: 60%;
    margin-bottom: 20px;
    display: flex;
    justify-content: center;
    color: white;
    font-weight: bold;
}

.classic-hints {
    width: 100%;
    height: 40%;
    margin-top: auto;
    display: flex;
    justify-content: space-around;
    margin-bottom: 20px;
}

.hint-button {
    background-color: white;
    height: 80px;
    width: 80px;
    border: none;
}

.classic-panel {
    width: 480px;
    border-radius: 20px;
    padding: 25px;
    display: flex;
    flex-direction: column;
    align-items: center;
    color: white;
    height: 150px;
}

.classic-guess-div {
    background: lightblue;
    width: 400px;
    height: 60px;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
}

.hint-button {
    background-color: lightcoral;
    font-size: 20px;
}

.classic-input {
    width: 80%;
    height: 90%;
    padding-left: 15px;
    border-radius: 10px;
    border: none;
    outline: none;
    background: #222222;
    color: white;
}

.submit-guess-button {
    background-color: #222222;
    color: white;
    height: 90%;
    width: 15%;
}

.guesses-container {
    height: auto;
    width: auto;
}

.guesses-div {
    height: auto;
    width: auto;
    display: flex;
    flex-direction: column-reverse;
}

.character-traits {
    width: 100%;
    height: 35px;
    display: none;
    color: white;
}

.trait {
    width: 100px;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    border: 2px solid black;
}

.guesses-square-group {
    height: 100px;
    width: auto;
    display: flex;
    justify-content: flex-start;
}

.square {
    border: 2px solid black;
    width: 100px;
    height: 100px;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    color: white;
}

    .square.correct {
        background-color: #4CAF50;
    }

    .square.wrong {
        background-color: #F44336;
    }
